Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
			get 'technique_setting' => "techniques#setting"
			resources :techniques do
				collection do
					get 'toggle_hide' => 'techniques#toggle_hide'
					get 'analysis'
					get 'analysis_report'
					get "download_excel"
				end
			end

			resources :members do
				collection do
				  scope '(:name-:uid)' do
					resources :techniques do
						collection do
							get 'frontend_setting' => 'techniques#frontend_setting'
							post 'update_frontend_setting' => 'techniques#update_frontend_setting'
						end
					end
				  end
				end
			end
			resources :technique_statuses
		end
		get "/xhr/personal_technique/get_fields_for_index" => "personal_techniques#get_fields_for_index"
        post "/xhr/personal_technique/save_index_fields" => "personal_techniques#save_index_fields"
	end
end